%define upstream_name    Text-Caml
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Mustache template engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
the Text::Caml manpage is a Mustache-like (the http://mustache.github.com/
manpage) template engine. That means it tends to have no logic in template
files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}
rm -f %{buildroot}/%{perl_vendorlib}/Text/README.pod

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.170.0-4.mga9
+ Revision: 1810461
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-3.mga8
+ Revision: 1506693
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.170.0-2.mga7
+ Revision: 1286965
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 shlomif <shlomif> 0.170.0-1.mga7
+ Revision: 1258760
- update to 0.17

* Tue Oct 03 2017 tv <tv> 0.160.0-2.mga7
+ Revision: 1166949
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 0.160.0-1.mga7
+ Revision: 1155526
- update to 0.16

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-2.mga6
+ Revision: 1034900
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.140.0-1.mga6
+ Revision: 1007254
- update to 0.14

* Fri Feb 19 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 969722
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 873663
- update to 0.13

* Thu Jun 25 2015 shlomif <shlomif> 0.120.0-1.mga6
+ Revision: 843674
- update to 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-7.mga5
+ Revision: 747720
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-6.mga5
+ Revision: 686606
- Mageia 5 Mass Rebuild
+ guillomovitch <guillomovitch>
- trim description

* Fri Nov 29 2013 jquelin <jquelin> 0.100.0-4.mga4
+ Revision: 554041
- remove bogus pod file that shouldn't be installed

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 515467
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 374002
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 shlomif <shlomif> 0.100.0-1.mga3
+ Revision: 334001
- imported package perl-Text-Caml


* Sat Dec 22 2012 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
